Orders

Holdings

GET
/api/oms/holdings

to get the list of holding records

Query Parameters

symDetails?boolean

Sending symDetails:'true' - will provide the symbol object in response for every record. Symbol object contains details such as price-tick, lotsize, token etc..,

Header Parameters

Authorization*string

Access token in the following format:

Bearer <api_key>:<access_token>

Both values are required. The api_key is your app credential from the Apps Section. The access_token is obtained from the authentication endpoint and is valid for 24 hours.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/oms/holdings" \  -H "Authorization: Bearer <api Key>:<access token>"
{
  "s": "ok",
  "d": {
    "hasNonPoaRecord": false,
    "holdings": [
      {
        "symId": "EQT_RELIANCE_EQ_NSE",
        "qty": 10,
        "avgPrice": 2450.75,
        "saleableQty": 10
      },
      {
        "symId": "EQT_INFY_EQ_NSE",
        "qty": 5,
        "avgPrice": 1380,
        "saleableQty": 5
      }
    ]
  }
}
{
  "s": "error",
  "msg": "Unauthorized"
}
{
  "s": "error",
  "msg": "Too many requests"
}
{
  "s": "error",
  "msg": "Internal server error"
}